---
title: ArrayBuffer.prototype.slice()
slug: Web/JavaScript/Reference/Global_Objects/ArrayBuffer/slice
tags:
  - ArrayBuffer
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>slice()</code></strong> method returns a new <code>ArrayBuffer</code> whose contents are a copy of this <code>ArrayBuffer</code>'s bytes from <code>begin</code>, inclusive, up to <code>end</code>, exclusive.</p>

<div>{{EmbedInteractiveExample("pages/js/arraybuffer-slice.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">arraybuffer.slice(<var>begin</var>[, <var>end</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>begin</var></code></dt>
 <dd>Zero-based byte index at which to begin slicing.</dd>
</dl>

<dl>
 <dt><code><var>end</var></code> {{optional_inline}}</dt>
 <dd>Byte index before which to end slicing. If end is unspecified, the new <code>ArrayBuffer</code> contains all bytes from begin to the end of this <code>ArrayBuffer</code>. If negative, it will make the Byte index begin from the last Byte.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("ArrayBuffer")}} object.</p>

<h2 id="Description">Description</h2>

<p>The <code>slice()</code> method copies up to, but not including, the byte indicated by the <code>end</code> parameter. If either <code>begin</code> or <code>end</code> is negative, it refers to an index from the end of the array, as opposed to from the beginning.</p>

<p>The range specified by the <code>begin</code> and <code>end</code> parameters is clamped to the valid index range for the current array. If the computed length of the new <code>ArrayBuffer</code> would be negative, it is clamped to zero.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Copying_an_ArrayBuffer">Copying an ArrayBuffer</h3>

<pre class="brush: js notranslate">const buf1 = new ArrayBuffer(8);
const buf2 = buf1.slice(0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-arraybuffer.prototype.slice', 'ArrayBuffer.prototype.slice')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.ArrayBuffer.slice")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("ArrayBuffer")}}</li>
</ul>
